
Name:           HeeksCAD
Summary:        HeeksCAD is a free, open source, CAD application
Version:        0.7.0svn404
Release:        %mkrel 2
License:        New BSD License
Group:          Graphics
URL:            http://code.google.com/p/heekscad/
BuildRequires:  make gcc gcc-c++
BuildRequires:  opencascade-devel wxGTK2.8-devel libgtkglext-1.0_0-devel
BuildRequires:  fdupes libwxgtku2.8-devel
Requires:	libwxgtkglu2.8
Source0:        heekscad.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
HeeksCAD is a free, open source
Functionality: Import solid models from STEP and IGES files.
Draw construction geomtery and lines and arcs.
Create new primitive solids, or make solids by extruding a sketch
or by making a lofted solid between sketches. Modify solids using
blending, or boolean operations. Save IGES, STEP and STL.
Printer plot the 2D geometry. Import and export dxf files;
only lines and arcs at the moment

The solid modelling is provided by OpenCASCADE.
The graphical user interface is made using wxWidgets.

It is possible to make Add-In modules, see HeeksCNC project.

%package devel
Summary:        Development file for %name
Group:          Development/Libraries
Requires:       %name = %version
Requires:       opencascade-devel wxGTK2.8-devel libgtkglext-1.0_0-devel


%description devel
HeeksCAD is a free, open source
Functionality: Import solid models from STEP and IGES files.
Draw construction geomtery and lines and arcs.
Create new primitive solids, or make solids by extruding a sketch
or by making a lofted solid between sketches. Modify solids using
blending, or boolean operations. Save IGES, STEP and STL.
Printer plot the 2D geometry. Import and export dxf files;
only lines and arcs at the moment

The solid modelling is provided by OpenCASCADE.
The graphical user interface is made using wxWidgets.

It is possible to make Add-In modules, see HeeksCNC project.



%prep
%setup -q -n heekscad

%build
cd src
%__make %{?jobs:-j%{jobs}}

%install
cd src
%__mkdir -p %buildroot/opt/%name/bitmaps
%__mkdir -p %buildroot/opt/%name/icons

%__cp ../HeeksCAD %buildroot/opt/%name/
%__cp ../bitmaps/*.png ../bitmaps/*.svg ../bitmaps/*.glf %buildroot/opt/%name/bitmaps/
%__cp ../icons/*.png %buildroot/opt/%name/icons/


# install include files to allow easy plugins compilation
%__make clean

%__cp -R ../src %buildroot/opt/%name
%__cp -R ../interface %buildroot/opt/%name
%__cp -R ../tinyxml %buildroot/opt/%name

# remove unuseful files (svn folders and windows files)
%__rm -rf %buildroot/opt/%{name}/src/.svn
%__rm -rf %buildroot/opt/%{name}/interface/.svn
%__rm -rf %buildroot/opt/%{name}/tinyxml/.svn

%__rm %buildroot/opt/%{name}/src/HeeksCAD.rc
%__rm %buildroot/opt/%{name}/src/HeeksCAD.sln
%__rm %buildroot/opt/%{name}/src/HeeksCAD.vcproj
%__rm %buildroot/opt/%{name}/src/Makefile
%__rm %buildroot/opt/%{name}/src/*.ico
%__rm %buildroot/opt/%{name}/src/*.png
%__rm %buildroot/opt/%{name}/src/vc_retro.py

chmod -x %buildroot/opt/%{name}/tinyxml/tinyxmlerror.cpp
chmod -x %buildroot/opt/%{name}/tinyxml/tinyxml.cpp
chmod -x %buildroot/opt/%{name}/tinyxml/tinystr.cpp
chmod -x %buildroot/opt/%{name}/tinyxml/tinyxmlparser.cpp

# menu entry and icons
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__cp ../bitmaps/cyl.png %{buildroot}%{_datadir}/pixmaps/HeeksCAD.png
%__install -dm 755 %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Exec=/opt/%name/%name
Icon=%{name}.png
Terminal=false
Name=%{name}
GenericName=%{name}
Comment=%{summary}
Categories=X-MandrivaLinux-Multimedia-Graphics;
EOF

fdupes -s %{buildroot}

%clean
rm -fr %buildroot

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}


%files
%defattr(-,root,root)
%doc COPYING
%{_datadir}/pixmaps/HeeksCAD.png
%{_datadir}/applications/%name.desktop
%dir /opt/%{name}
%dir /opt/%{name}/bitmaps
%dir /opt/%{name}/icons
/opt/%{name}/%name
/opt/%{name}/bitmaps/*
/opt/%{name}/icons/*

%files devel
%defattr(-,root,root)
%dir /opt/%{name}/src
%dir /opt/%{name}/interface
%dir /opt/%{name}/tinyxml
/opt/%{name}/src/*.h
/opt/%{name}/src/*.cpp
/opt/%{name}/interface/*.h
/opt/%{name}/interface/*.cpp
/opt/%{name}/tinyxml/*.h
/opt/%{name}/tinyxml/*.cpp

%changelog
* Sun Jul 25 2010 MBantz <martin dot bantz at gmail dot com> 0.7.0svn404-2
- Added requirement libwxgtkglu2.8

* Fri Jun 06 2010 MBantz <martin dot bantz at gmail dot com> 0.7.0svn404-1pclos2010
- Adapting to PCLinuxOS from lars at linux-schulserver dot de

